searchNodes=[{"ref":"Event.html","title":"Event","type":"module","doc":""},{"ref":"Event.Adapter.html","title":"Event.Adapter","type":"module","doc":"Acts as an event sink, sending all incoming events as messages to the provided process. Useful when you have a process that should receive events but cannot act as an event sink or GenStage. The adapter process will monitor the receiver process and exit when it does."},{"ref":"Event.Adapter.html#code_change/3","title":"Event.Adapter.code_change/3","type":"function","doc":"Handle a code change"},{"ref":"Event.Adapter.html#handle_call/3","title":"Event.Adapter.handle_call/3","type":"function","doc":"Handle a synchronous call"},{"ref":"Event.Adapter.html#handle_cast/2","title":"Event.Adapter.handle_cast/2","type":"function","doc":"Handle an asynchronous cast"},{"ref":"Event.Adapter.html#handle_events/3","title":"Event.Adapter.handle_events/3","type":"function","doc":"Handle incoming events from an upstream producer"},{"ref":"Event.Adapter.html#handle_info/2","title":"Event.Adapter.handle_info/2","type":"function","doc":"Default handler for incoming messages."},{"ref":"Event.Adapter.html#init/1","title":"Event.Adapter.init/1","type":"function","doc":"Default initializer function"},{"ref":"Event.Adapter.html#start_link/0","title":"Event.Adapter.start_link/0","type":"function","doc":"Start an Event Sink"},{"ref":"Event.Adapter.html#start_link/2","title":"Event.Adapter.start_link/2","type":"function","doc":"Start an Event Adapter that will receive events from the given source GenStage and send them as messages to the receiver pid provided"},{"ref":"Event.Adapter.html#start_link/3","title":"Event.Adapter.start_link/3","type":"function","doc":"Start an Event Sink"},{"ref":"Event.Adapter.html#terminate/2","title":"Event.Adapter.terminate/2","type":"function","doc":"Callback implementation for Event.Sink.terminate/2."},{"ref":"Event.Processor.html","title":"Event.Processor","type":"behaviour","doc":"Receives events from Event.Source or Event.Processor before passing them on to the next connected event handler(s)"},{"ref":"Event.Processor.html#async_notify/2","title":"Event.Processor.async_notify/2","type":"function","doc":"Asynchronously notify the processor that an event has occurred. Returns immediately."},{"ref":"Event.Processor.html#call/3","title":"Event.Processor.call/3","type":"function","doc":"Send a message to the event processor and await a response."},{"ref":"Event.Processor.html#cast/2","title":"Event.Processor.cast/2","type":"function","doc":"Send an asynchronous message to the event processor"},{"ref":"Event.Processor.html#code_change/3","title":"Event.Processor.code_change/3","type":"function","doc":"Handle a code change"},{"ref":"Event.Processor.html#c:code_change/3","title":"Event.Processor.code_change/3","type":"callback","doc":""},{"ref":"Event.Processor.html#handle_call/3","title":"Event.Processor.handle_call/3","type":"function","doc":"Handle a synchronous event notification"},{"ref":"Event.Processor.html#c:handle_call/3","title":"Event.Processor.handle_call/3","type":"callback","doc":""},{"ref":"Event.Processor.html#handle_cast/2","title":"Event.Processor.handle_cast/2","type":"function","doc":"Handle an asynchronous event notification"},{"ref":"Event.Processor.html#c:handle_cast/2","title":"Event.Processor.handle_cast/2","type":"callback","doc":""},{"ref":"Event.Processor.html#handle_events/3","title":"Event.Processor.handle_events/3","type":"function","doc":"Handle incoming events"},{"ref":"Event.Processor.html#c:handle_events/3","title":"Event.Processor.handle_events/3","type":"callback","doc":""},{"ref":"Event.Processor.html#handle_info/2","title":"Event.Processor.handle_info/2","type":"function","doc":"Handle an incoming message"},{"ref":"Event.Processor.html#c:handle_info/2","title":"Event.Processor.handle_info/2","type":"callback","doc":""},{"ref":"Event.Processor.html#handle_subscribe/4","title":"Event.Processor.handle_subscribe/4","type":"function","doc":"Handle a subscription"},{"ref":"Event.Processor.html#init/1","title":"Event.Processor.init/1","type":"function","doc":"Initialize event processor state"},{"ref":"Event.Processor.html#start_link/3","title":"Event.Processor.start_link/3","type":"function","doc":"Start an EventProcessor process."},{"ref":"Event.Processor.html#sync_notify/3","title":"Event.Processor.sync_notify/3","type":"function","doc":"Synchronously notify the processor that an event has occurred. This call will block until the event has been consumed, or until the timeout is reached"},{"ref":"Event.Processor.html#terminate/2","title":"Event.Processor.terminate/2","type":"function","doc":"Handle process termination"},{"ref":"Event.Processor.html#c:terminate/2","title":"Event.Processor.terminate/2","type":"callback","doc":""},{"ref":"Event.Processor.html#t:from/0","title":"Event.Processor.from/0","type":"type","doc":""},{"ref":"Event.Processor.html#t:subscription_tag/0","title":"Event.Processor.subscription_tag/0","type":"opaque","doc":""},{"ref":"Event.Sink.html","title":"Event.Sink","type":"behaviour","doc":"Final stage in an Event processing chain. Receives events from an Event.Source or Event.Processor and performs any final processing on them."},{"ref":"Event.Sink.html#call/3","title":"Event.Sink.call/3","type":"function","doc":"Send a message to the event processor and await a response."},{"ref":"Event.Sink.html#cast/2","title":"Event.Sink.cast/2","type":"function","doc":"Send an asynchronous message to the event processor"},{"ref":"Event.Sink.html#code_change/3","title":"Event.Sink.code_change/3","type":"function","doc":"Handle a code change"},{"ref":"Event.Sink.html#c:code_change/3","title":"Event.Sink.code_change/3","type":"callback","doc":""},{"ref":"Event.Sink.html#handle_call/3","title":"Event.Sink.handle_call/3","type":"function","doc":"Handle a synchronous event notification"},{"ref":"Event.Sink.html#c:handle_call/3","title":"Event.Sink.handle_call/3","type":"callback","doc":""},{"ref":"Event.Sink.html#handle_cast/2","title":"Event.Sink.handle_cast/2","type":"function","doc":"Handle an asynchronous event notification"},{"ref":"Event.Sink.html#c:handle_cast/2","title":"Event.Sink.handle_cast/2","type":"callback","doc":""},{"ref":"Event.Sink.html#handle_events/3","title":"Event.Sink.handle_events/3","type":"function","doc":"Handle incoming events"},{"ref":"Event.Sink.html#c:handle_events/3","title":"Event.Sink.handle_events/3","type":"callback","doc":""},{"ref":"Event.Sink.html#handle_info/2","title":"Event.Sink.handle_info/2","type":"function","doc":"Handle an incoming message"},{"ref":"Event.Sink.html#c:handle_info/2","title":"Event.Sink.handle_info/2","type":"callback","doc":""},{"ref":"Event.Sink.html#handle_subscribe/4","title":"Event.Sink.handle_subscribe/4","type":"function","doc":"Handle a subscription"},{"ref":"Event.Sink.html#init/1","title":"Event.Sink.init/1","type":"function","doc":"Initialize event processor state"},{"ref":"Event.Sink.html#start_link/3","title":"Event.Sink.start_link/3","type":"function","doc":"Start an EventSink process."},{"ref":"Event.Sink.html#terminate/2","title":"Event.Sink.terminate/2","type":"function","doc":"Handle process termination"},{"ref":"Event.Sink.html#c:terminate/2","title":"Event.Sink.terminate/2","type":"callback","doc":""},{"ref":"Event.Sink.html#t:from/0","title":"Event.Sink.from/0","type":"type","doc":""},{"ref":"Event.Sink.html#t:subscription_tag/0","title":"Event.Sink.subscription_tag/0","type":"opaque","doc":""},{"ref":"Event.Source.html","title":"Event.Source","type":"behaviour","doc":"Queues events for dissemination to subscribed processors and sinks. Buffers demand for events so that when the queue is refilled, connected processors and sinks receive them. Exposes various options for limiting buffering, as well as GenStage control options."},{"ref":"Event.Source.html#async_notify/2","title":"Event.Source.async_notify/2","type":"function","doc":"Asynchronously notify the source that an event has occurred. Returns immediately."},{"ref":"Event.Source.html#call/3","title":"Event.Source.call/3","type":"function","doc":"Send a message to the event source and await a response."},{"ref":"Event.Source.html#cast/2","title":"Event.Source.cast/2","type":"function","doc":"Send an asynchronous message to the event source"},{"ref":"Event.Source.html#code_change/3","title":"Event.Source.code_change/3","type":"function","doc":"Handle a code change"},{"ref":"Event.Source.html#c:code_change/3","title":"Event.Source.code_change/3","type":"callback","doc":""},{"ref":"Event.Source.html#dispatch_events/2","title":"Event.Source.dispatch_events/2","type":"function","doc":"Dispatch as many events as possible until demand reaches zero or we run out of buffered events"},{"ref":"Event.Source.html#handle_call/3","title":"Event.Source.handle_call/3","type":"function","doc":"Handle a synchronous event notification"},{"ref":"Event.Source.html#c:handle_call/3","title":"Event.Source.handle_call/3","type":"callback","doc":""},{"ref":"Event.Source.html#handle_cast/2","title":"Event.Source.handle_cast/2","type":"function","doc":"Handle an asynchronous event notification"},{"ref":"Event.Source.html#c:handle_cast/2","title":"Event.Source.handle_cast/2","type":"callback","doc":""},{"ref":"Event.Source.html#handle_demand/2","title":"Event.Source.handle_demand/2","type":"function","doc":"Handle demand for new events"},{"ref":"Event.Source.html#handle_info/2","title":"Event.Source.handle_info/2","type":"function","doc":"Handle an incoming message"},{"ref":"Event.Source.html#c:handle_info/2","title":"Event.Source.handle_info/2","type":"callback","doc":""},{"ref":"Event.Source.html#handle_subscribe/4","title":"Event.Source.handle_subscribe/4","type":"function","doc":"Handle a subscription"},{"ref":"Event.Source.html#init/1","title":"Event.Source.init/1","type":"function","doc":"Initialize event source state"},{"ref":"Event.Source.html#c:init/1","title":"Event.Source.init/1","type":"callback","doc":""},{"ref":"Event.Source.html#maybe_dispatch/2","title":"Event.Source.maybe_dispatch/2","type":"function","doc":"Conditionally enqueue and dispatch the given event based on options such as the max allowed number of queued items"},{"ref":"Event.Source.html#maybe_enqueue/2","title":"Event.Source.maybe_enqueue/2","type":"function","doc":"Enqueue the given event if the event queue&#39;s length is less than the configured maximum"},{"ref":"Event.Source.html#queue/2","title":"Event.Source.queue/2","type":"function","doc":"Get the event queue for the given source"},{"ref":"Event.Source.html#start_link/3","title":"Event.Source.start_link/3","type":"function","doc":"Start an EventSource process."},{"ref":"Event.Source.html#sync_notify/3","title":"Event.Source.sync_notify/3","type":"function","doc":"Synchronously notify the source that an event has occurred. This call will block until the event has been consumed, or until the timeout is reached"},{"ref":"Event.Source.html#terminate/2","title":"Event.Source.terminate/2","type":"function","doc":"Handle process termination"},{"ref":"Event.Source.html#c:terminate/2","title":"Event.Source.terminate/2","type":"callback","doc":""},{"ref":"Event.Source.html#t:producer_and_producer_consumer_option/0","title":"Event.Source.producer_and_producer_consumer_option/0","type":"type","doc":"Option values used by the init* common to :producer and :producer_consumer types"},{"ref":"Event.Source.html#t:producer_only_option/0","title":"Event.Source.producer_only_option/0","type":"type","doc":"Option values used by the init* specific to :producer type"},{"ref":"Event.Source.html#t:producer_option/0","title":"Event.Source.producer_option/0","type":"type","doc":"Option values used by the init* functions when stage type is :producer"}]